screen is erroring out with "/var/run/screen needs to be mode 775"

Bug #390405 reported by Matt Eskes on 2009-06-22
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Debian
Fix Released
Unknown
byobu (Ubuntu)
High
Dustin Kirkland 
screen (Ubuntu)
High
Dustin Kirkland 

Bug Description

Binary package hint: screen

Screen is failing to start with directory permissions error of "/var/run/screen needs to be mode 775"

A quick 'ls lsa' reveals:

0 drwxr-xr-x 2 root utmp 40 2009-06-21 13:55 screen

which is all the correct owner/group and permissions.

The current version of screen installed at the moment is 4.0.3-13ubuntu out of the current Karmic Alpha.

ProblemType: Bug
Architecture: i386
Date: Sun Jun 21 16:51:47 2009
DistroRelease: Ubuntu 9.10
Package: screen 4.0.3-13ubuntu1
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.30-9.10-generic
SourcePackage: screen
Uname: Linux 2.6.30-9-generic i686

Changed in screen (Ubuntu):
assignee: nobody → Dustin Kirkland (kirkland)
importance: Undecided → High
milestone: none → karmic-alpha-3
status: New → Confirmed
Changed in screen (Ubuntu):
status: Confirmed → In Progress
Changed in screen (Debian):
status: Unknown → New
Dustin Kirkland  (kirkland) wrote :

The problem is actually with screen-profiles, which provides a dpkg-diversion for /usr/bin/screen, which is installed 755.

However, this diversion goes away with an upgrade to byobu. I'm uploading a fix shortly in byobu.

:-Dustin

Changed in byobu (Ubuntu):
assignee: nobody → Dustin Kirkland (kirkland)
importance: Undecided → High
status: New → In Progress
affects: screen (Debian) → debian

Thanks Dustin.... I guess I should have sent in a trace and I probably would have figured that out for you. Been out of the game for a while so I'm still trying to settle back in and get into the swing of things.

Matt

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package screen - 4.0.3-13ubuntu2

---------------
screen (4.0.3-13ubuntu2) karmic; urgency=low

  * debian/control: depend on byobu; this will replace the screen-profiles
    version with the dpkg-diversion of /usr/bin/screen, which is causing
    the permissions issue in LP: #390405
  * debian/patches/60-byobu-pointer.dpatch: add a one-liner pointing to byobu,
    for upgrading users who previously just typed 'screen' to launch byobu
    (now that the diversion has been removed)

 -- Dustin Kirkland <email address hidden> Tue, 23 Jun 2009 01:47:43 -0500

Changed in screen (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package byobu - 2.16-0ubuntu1

---------------
byobu (2.16-0ubuntu1) karmic; urgency=low

  * byobu-config, doc/help.txt: update the verbage of some text
  * byobu-config, byobu-janitor, byobu-select-profile, debian/install,
    debian/rules, po/POTFILES.sh, rpm/byobu.spec: rename select-screen-profile
    to byobu-select-profile; fits our namespace better
  * byobu-config, byobu-launcher, byobu-launcher-install,
    byobu-launcher-uninstall, debian/install, debian/rules,
    rpm/byobu.spec: rename to byobu-launcher*

  Fixes for: LP: #391105, #390405, #391039
  * debian/control: add screen-profiles and screen-profiles-extras
    transitional packages
  * debian/postinst, debian/prerm, debian/rules: fix screen-profiles ->
    byobu upgrades; drop byobu's attempt to remove the dpkg-divert on
    /usr/bin/screen, as this fails; establish links in the postinst,
    remove in the prerm
  * debian/screen-profiles.postinst: remove the diversion on *installation*
    of this transitional package

 -- Dustin Kirkland <email address hidden> Tue, 23 Jun 2009 14:47:10 -0500

Changed in byobu (Ubuntu):
status: In Progress → Fix Released
Changed in debian:
status: New → Incomplete
Changed in debian:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.